<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
     <head>
               <title>Formular Grundgerst</title>
               <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
               <meta http-equiv="Content-Language" content="de" />
               <meta name="autor" content="Vitaly Friedman" />
               <link href="css/style.css" rel="stylesheet" type="text/css" media="all" />
               <link href="css/formular.css" rel="stylesheet" type="text/css" media="all" />
		<script src="scriptaculous/lib/prototype.js" type="text/javascript"></script>
		<script src="scriptaculous/src/effects.js" type="text/javascript"></script>
		<script type="text/javascript" src="js/fabtabulous.js"></script>
		<script type="text/javascript" src="js/validation.js"></script>
               <script type="text/javascript">
                    new Validation('formular');
               </script> 
          <script language="JavaScript" type="text/javascript" src="js/trimming_form_fields.js"></script>
          <script type="text/javascript" src="js/dynamic.js"></script>

<script type="text/javascript">
var request = false;
try {
	request = new XMLHttpRequest();
}
catch (trymicrosoft) {
	try {
		request = new ActiveXObject("Msxml2.XMLHTTP");
	}
	catch (othermicrosoft) {
		try {
			request = new ActiveXObject("Microsoft.XMLHTTP");
		}
		catch (failed) {
			request = false;
		}
	}
}
if (!request)
  alert("Error initializing XMLHttpRequest!");

function getInput () {
	var titel = document.getElementById("titel").value;
	var benname = document.getElementById("benname").value;
	var anschrift = document.getElementById("anschrift").value;
	var strasse = document.getElementById("strasse").value;
	var plz = document.getElementById("plz").value;
	var stadt = document.getElementById("stadt").value;
	var bundesland = document.getElementById("bundesland").value;
	var land = document.getElementById("land").value;
	var datum = document.getElementById("datum").value;
	var datum_2 = document.getElementById("datum-2").value;
	var datum_1 = document.getElementById("datum-1").value;
	var firstdigits = document.getElementById("firstdigits").value;
	var middledigits = document.getElementById("middledigits").value;
	var lastdigits = document.getElementById("lastdigits").value;
	var email = document.getElementById("email").value;
	var pass = document.getElementById("pass").value;
	var confpass = document.getElementById("confpass").value;
	var anfrage = document.getElementById("anfrage").value;
	var query = "processing.php?titel=" + escape(titel) + "&name=" + escape (benname) +
	"&anschrift=" + escape(anschrift) + "&strasse=" + escape(strasse) +
	"&plz=" + escape(plz) + "&stadt=" + escape(stadt) +
	"&bundesland=" + escape(bundesland) + "&land=" + escape (land) +
	"&datum=" + escape(datum_2) + "&monat=" + escape (datum_1) + "&jahr=" + escape (datum) +
	"&firstdigits=" + escape (firstdigits) + "&middledigits=" + escape (middledigits) + "&lastdigits=" + escape (lastdigits) +
	"&email=" + escape(email) + "&pass=" + escape (pass) +
	"&confpass=" + escape(confpass) + "&anfrage=" + escape(anfrage) + "&preview=yes";
//	alert(query);
	request.open ("GET", query, true);
	request.onreadystatechange = updatePreview;
	request.send (null);
}


function updatePreview () {
//	setupPreview ();
	if (request.readyState == 4) {
		if (request.status == 200) {
//			alert(request.responseText);
			var response = request.responseText;
			document.getElementById("previewWindow").innerHTML = response;
		}
	}
}
</script>

</head>

<body>

<div id="container" class="clearfix">
	<div id="linkespalte">
		<h2>Formular</h2>

                    <p>Bei beliebigen Fragen, Anmerkungen, Ratschlgen und Kritik steht Ihnen der Autor Vitaly Friedman gerne mit Rat und Tat zur Seite (Accesskeys: <small>1 &mdash; <a href="#nameLegend" title="Zum Feld 'Name' springen">Name</a>, 2 &mdash; <a href="#addressLegend" title="Zum Feld 'Adresse' springen">Adresse</a>, 3 &mdash; <a href="#detailsLegend" title="Zum Feld 'Weitere Details' springen">Weitere Details</a>, 4 &mdash; <a href="#emailLegend" title="Zum Feld 'Kundendaten' springen">Kundendaten</a>, 5 &mdash; <a href="#commentLegend" title="Zum Feld 'Kommentar' springen">Kommentar</a></small>)</p>

                    <p id="linkContainer"></p>

                    <form id="formular" method="post" action="processing.php">

<ul>
<li id="fo7li0" class="">

<fieldset>
<legend accesskey="1"><label class="desc" id="nameLegend" for="titel">
Name <em class="notw">(notwendig)</em>
</label></legend>

<div class="left">
<label for="titel">Titel </label>
<select class="required field select medium" id="titel" name="titel"> 
<option value="" selected="selected"></option>
<option value="Herr">Herr</option>
<option value="Frau">Frau</option>
</select>
</div>

<div>
<label for="benname">Name, Vorname</label>
<input id="benname" name="benname" class="required field text large" value="" type="text">
</div>

</fieldset>

</li><li id="fo7li5">

     <fieldset>
<legend accesskey="2"><label class="desc" id="addressLegend" for="anschrift">
Adresse <em class="notw">(notwendig)</em>
</label></legend>

<div>
<input id="anschrift" name="anschrift" class="required field text large" value="" type="text">
<label for="anschrift">Anschrift <em class="beispiel">(z. B. Max Mustermann)</em></label>
</div>

<div>
<input id="strasse" name="strasse" class="required field text large" value="" type="text">
<label for="strasse">Strae, Nr. <em class="beispiel">(z. B. Mainzer Str. 9)</em></label>
</div>

<div class="left">
<input id="plz" name="plz" class="required validate-digits field text medium" maxlength="15" value="" type="text">
<label for="plz">PLZ, z.B.</label>
</div>

<div class="right">
<input id="stadt" name="stadt" class="required field text medium" value="" type="text">
<label for="stadt">Stadt</label>
</div>

<div class="fm-optional">
     <div class="left">
          <input id="bundesland" name="bundesland" class="field text medium" value="" type="text">
          <label for="bundesland">Bundesland</label>
     </div>
</div>

<div class="right">
<select class="required field select text medium" id="land" name="land"> 
<option value="Deutschland" selected="selected">Deutschland</option>	<option value="Schweiz">Schweiz</option>	<option value="3">Belgien</option>	<option value="4">&Ouml;sterreich</option>	<option value="5">D&auml;nemark</option>	<option value="6">Lichtenstein</option>	<option value="7">Niederlande</option>	<option value="8">Frankreich</option>	<option value="9">Luxemburg</option>	<option value="10">Spanien</option>	<option value="11">Italien</option>	<option value="12">Bulgarien</option>	<option value="13">Finnland</option>	<option value="14">Griechenland</option>	<option value="15">Grossbritannien</option>	<option value="16">Irland</option>	<option value="17">Norwegen</option>	<option value="18">Polen</option>	<option value="19">Portugal</option>	<option value="20">Rum&auml;nien</option>	<option value="21">Russland</option>	<option value="22">Schweden</option>	<option value="23">Slowakei</option>	<option value="24">Tschechien</option>	<option value="25">T&uuml;rkei</option>	<option value="26">Ukraine</option>	<option value="27">Ungarn</option>	<option value="28">Sonstige</option>	<option value="29">USA</option>
</select>										
<label for="land">Land</label>
</div>

<p class="instruct"><em class="marker">Kontaktinformationen ber den Benutzer</em> | Ihre Privatdaten sind uns sehr wichtig; wir garantieren, dass sie nicht zu fragwrdigen Zwecken verwendet werden.</p>
</fieldset>
</li>




<li id="fo8li0" class="">


<fieldset>
<legend accesskey="3"><label class="desc" id="detailsLegend" for="datum">Weitere Details</label></legend>

<div class="fm-optional">
     <div class="left">
     <input id="datum-2" name="datum-2" class="required validate-digits field text datum" size="2" maxlength="2" value="" type="text"> .
     <input id="datum-1" name="datum-1" class="required validate-digits field text datum" size="2" maxlength="2" value="" type="text"> .
     <input id="datum" name="datum" class="required validate-digits field text datum" size="4" maxlength="4" value="" type="text">
     <img id="calbutton" class="datepicker" src="img/calendar.png" alt="Pick a date." />
     
     <script type="text/javascript">
     Calendar.setup({
     inputField : "datum",
     displayArea  : "calender",
     button : "calbutton",
     ifFormat : "%B %e, %Y",
     onSelect : selectDate
     });
     </script>
     
     <label for="firstdigits">Geburtsdatum <em class="beispiel">(z.B. 17.08.1963)</em></label>
     </div>

     <div class="right">
          <input id="firstdigits" name="firstdigits" size="3" maxlength="3" value="" type="text"> <input id="middledigits" name="middledigits" size="3" maxlength="3" value="" type="text"> <input id="lastdigits" name="lastdigits" size="7" maxlength="7" value="" type="text">
          <label for="benname0">Telefonnummer <em class="beispiel">(z.B. +49 123 1234567)</em></label>
     </div>
</div>
</li>

<li id="fo7li11" class="">

<fieldset>
<legend accesskey="4" ><label class="desc" id="emailLegend" for="email">
Kundendaten <em class="notw">(notwendig)</em>
</label></legend>

<div class="validated">
<label class="desc" id="emailLabel" for="email">
E-mail
</label>
     <input id="email" name="email" class="required validate-email"  maxlength="255" value="" type="text"> 
</div>

<div class="validated">
                  <label class="desc" for="r_password">Kennwort (mind. 7 Zeichen)</label>
                  <input name="pass" class="required validate-password" id="pass" type="password" maxlength="20"  />
</div>

          <div class="validated">
                  <label for="r_confpass">Kennwort besttigen</label>
                  <input name="r_confpass" class="required validate-password-confirm" id="confpass" type="password" maxlength="20" />
          </div>

</li>
<li>

<fieldset>
<legend accesskey="5"><label class="desc" id="commentLegend" for="anfrage">ggf. Ihr Kommentar</label></legend>
                    <div>
                    <label for="anfrage">Anfrage</label>
                    <textarea rows="30" cols="70" name="anfrage" id="anfrage"></textarea>
                    </div>
                    </fieldset>

</li>
<li class="preview" style="display: block;">
<div id="previewWindow">
</div>
</li>
<li>

<fieldset>
<legend accesskey="6"><label class="desc" id="captchaLegend" for="captcha">Captcha</label></legend>
                    <div>
                    <label for="anfrage">Captcha</label>
<?php

require_once('lib/recaptchalib.php');
$publickey = "6LdllQAAAAAAADLIQO9G8KCStFTUr--os8Urajzm"; // you got this from the signup page
echo recaptcha_get_html($publickey);

?>
                    </div>
                    </fieldset>

</li>
<li>
                   <div class="absenden">
<input id="previewForm" class="btTxt" value="Vorschau" type="button" onclick="return getInput();" />
<input name="absenden" id="absenden" value="Absenden!" type="submit" />

</div>
</li>
</ul>
  
                    </form>
					<script type="text/javascript">
						function formCallback(result, form) {
							window.status = "valiation callback for form '" + form.id + "': result = " + result;
						}
						
						var valid = new Validation('formular', {immediate : true, onFormValidate : formCallback});

						Validation.addAllThese([
							['validate-password', 'Ihr Kennwort sollte aus mindestens 7 Zeichen bestehen und kann weder \'password\' sein noch Ihrem Namen entsprechen.', {
								minLength : 7,
								notOneOf : ['password','PASSWORD','1234567','0123456'],
							}],
							['validate-password-confirm', 'Die zweite Passwort-Eingabe stimmt mit der ersten nicht berein. Bitte berprfen Sie Ihre Angabe.', {
								equalToField : 'password'
							}]
						]);

					</script>

	</div>
</div>

</body>
</html>